<?php
require $_SERVER['DOCUMENT_ROOT'].'/hethong/config.php';
$token = $lxtdev['token_mb'];
$ch = curl_init('https://api.sieuthicode.net/historyapimbbankv2/'.$token);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
$response = curl_exec($ch);
curl_close($ch);

// Xử lý phản hồi JSON nếu có
if ($response === false) {
    echo "CURL Error: " . curl_error($ch);
} else {
    $data = json_decode($response, true);

    // Kiểm tra xem có lỗi hay không
    if ($data === null) {
        echo "Error decoding JSON: " . json_last_error_msg();
    } else {
        // Tiến hành xử lý từng giao dịch trong danh sách
        foreach ($data['transactions'] as $mb) {
            $tranId = explode('\\', $mb['transactionID'])[0];
            $amount = $mb['amount'];
            $comment = $mb['description'];
            $partnerId = $mb['accountNo'];
            $partnerName = $mb['currency'];
            $idnap = parse_order_id($comment);
            $now = time();
            $api_checkidnap =  $ketnoi->query("SELECT * FROM `users` WHERE `id` = '$idnap' ")->fetch_array();
            if ($api_checkidnap) {
               $total_trans = mysqli_fetch_assoc(mysqli_query($ketnoi, "SELECT COUNT(*) FROM `history_nap_bank` WHERE `trans_id` = '$tranId' ")) ['COUNT(*)']; 
              if ($total_trans == 0) {
                    if ($amount > 0) {
                        $username =  $api_checkidnap['username'];
                        $ketnoi->query("INSERT INTO `history_nap_bank` SET 
                          `trans_id` = '$tranId',
                          `username` = '$username',
                          `type` = 'Ngân Hàng',
                          `stk` = '$partnerId',
                          `ctk` = '$partnerName',
                          `thucnhan` = '$amount',
                          `status` = 'hoantat',
                          `time` = '$now' ");
                          $create = mysqli_query($ketnoi, "UPDATE `users` SET `money`=`money`+ '$amount', `tong_nap` = `tong_nap` + '$amount' WHERE `username`='$username'");
                          sendTele("Tài Khoản: ".$username." Nạp Tiền Thành Công Với Số Tiền là :".$amount." Đ");
                    }
                }
            }
        }
    }
}
?>
